{"models":[{"endpoint_id":"fal-ai/pixverse/v4.5/transition","metadata":{"display_name":"PixVerse V4.5 Transition","category":"image-to-video","description":"Create seamless transition between images using PixVerse v4.5","status":"active","tags":["stylized","transform"],"updated_at":"2026-10-20T22:13:02.318Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v4.5/transition","license_type":"commercial","date":"2025-05-15T15:57:02.859Z","group":{"key":"pixverse-45","label":"Transition v4.5"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v4.5/transition","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v4.5/transition queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v4.5/transition","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v4.5/transition","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v4.5/transition/api","about":"Create Transition V4 5"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV45TransitionInput":{"type":"object","x-fal-order-properties":["prompt","aspect_ratio","resolution","duration","negative_prompt","style","seed","first_image_url","end_image_url","enable_safety_checker"],"title":"TransitionRequest","required":["prompt","first_image_url","end_image_url"],"properties":{"prompt":{"examples":["Scene slowly transition into cat swimming under water"],"type":"string","description":"The prompt for the transition. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt"},"end_image_url":{"examples":["https://v3.fal.media/files/kangaroo/RgedFs_WSnq5BgER7qDx1_ONrbTJ1YAGXz-9JnSsBoB_bdc8750387734bfe940319f469f7b0b2.jpg"],"type":"string","description":"URL of the image to use as the last frame","title":"End Image Url"},"first_image_url":{"examples":["https://v3.fal.media/files/zebra/owQh2DAzk8UU7J02nr5RY_Co2P4boLv6meIZ5t9gKvL_8685da151df343ab8bf82165c928e2a5.jpg"],"type":"string","description":"URL of the image to use as the first frame","title":"First Image Url"},"style":{"anyOf":[{"type":"string","enum":["anime","3d_animation","clay","comic","cyberpunk"]},{"type":"null"}],"description":"The style of the generated video","title":"Style"},"negative_prompt":{"examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"],"type":"string","default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt"},"duration":{"type":"string","default":"5","description":"The duration of the generated video in seconds","enum":["5","8"],"title":"Duration"},"enable_safety_checker":{"type":"boolean","default":true,"description":"Authorized callers may set false to request relaxed screening.","title":"Enable Safety Checker"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        ","title":"Seed"},"resolution":{"type":"string","default":"720p","description":"The resolution of the generated video","enum":["360p","540p","720p","1080p"],"title":"Resolution"},"aspect_ratio":{"type":"string","default":"16:9","description":"The aspect ratio of the generated video","enum":["16:9","4:3","1:1","3:4","9:16"],"title":"Aspect Ratio"}}},"PixverseV45TransitionOutput":{"type":"object","x-fal-order-properties":["video"],"title":"TransitionOutput","required":["video"],"properties":{"video":{"examples":[{"file_name":"output.mp4","file_size":3890360,"url":"https://fal.media/files/panda/5KmKS-mh1vO-htbqE5oex_output.mp4","content_type":"video/mp4"}],"description":"The generated video","$ref":"#/components/schemas/File"}}},"File":{"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"],"properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type"}}}}},"paths":{"/fal-ai/pixverse/v4.5/transition/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4.5/transition/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v4.5/transition":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV45TransitionInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4.5/transition/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV45TransitionOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-2.3-quality/ingredient","metadata":{"display_name":"Ltx 2.3 Quality","category":"image-to-video","description":"Generate high-quality video with audio from reference, character sheet, storyboard using LTX-2.3","status":"active","tags":["ingredient","storyboard","video"],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9ed9c6/wZu25U8DGi5RA-AFBsH-T_25fea6b72edc4b6ba45e1fea25be1bfc.jpg","model_url":"https://fal.run/fal-ai/ltx-2.3-quality/ingredient","license_type":"commercial","date":"2026-06-18T23:41:35.508Z","group":{"key":"ltx-2.3-quality","label":"Ingredient"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/ltx-2.3-quality/ingredient","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2.3-quality/ingredient queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2.3-quality/ingredient","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9ed9c6/wZu25U8DGi5RA-AFBsH-T_25fea6b72edc4b6ba45e1fea25be1bfc.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2.3-quality/ingredient","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2.3-quality/ingredient/api","about":"Generate video from an Ingredient reference sheet."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx23QualityIngredientInput":{"properties":{"enable_safety_checker":{"default":true,"title":"Enable Safety Checker","description":"Whether to enable the safety checker.","type":"boolean"},"reference_strength":{"default":1,"minimum":0,"title":"Reference Strength","description":"Strength of the reference-sheet guide. 1.0 uses the sheet fully; lower values give the model more freedom.","maximum":2,"type":"number"},"ingredient_strength":{"default":1,"minimum":0,"title":"Ingredient Strength","description":"Strength of the built-in Ingredient IC-LoRA. Higher values make the reference sheet identities and props more dominant.","maximum":2,"type":"number"},"enable_prompt_expansion":{"default":true,"title":"Enable Prompt Expansion","description":"Whether to enable prompt expansion.","type":"boolean"},"frames_per_second":{"default":24,"minimum":1,"title":"FPS","description":"Frames per second of the generated video.","maximum":60,"type":"number"},"sync_mode":{"default":false,"title":"Sync Mode","description":"If True, the media is returned as a data URI inline in the response. Useful for short-lived requests and tests.","type":"boolean"},"video_write_mode":{"default":"balanced","title":"Video Write Mode","enum":["fast","balanced","small"],"description":"The write mode of the generated video.","type":"string"},"num_frames":{"default":121,"minimum":9,"title":"Number of Frames","description":"The number of frames to generate.","maximum":481,"type":"integer"},"guidance_scale":{"default":1,"minimum":1,"title":"Guidance Scale","description":"Classifier-free guidance scale.","maximum":20,"type":"number"},"generate_audio":{"default":true,"title":"Generate Audio","description":"Whether to include audio in the returned video. When disabled, the final MP4 is returned without an audio track.","type":"boolean"},"negative_prompt":{"default":"worst quality, inconsistent motion, blurry, jittery, distorted","title":"Negative Prompt","description":"The negative prompt to steer generation away from.","type":"string"},"image_url":{"examples":["https://storage.googleapis.com/falserverless/example_inputs/ltxv-2-i2v-input.jpg"],"title":"Image URL","description":"URL of the Ingredient reference sheet image. The sheet should contain clean panels for the characters, props, and location to preserve.","type":"string"},"video_quality":{"default":"high","title":"Video Quality","enum":["low","medium","high","maximum"],"description":"The quality preset of the generated video.","type":"string"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"Random seed for reproducibility. If None, a random seed is chosen."},"resolution":{"anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"enum":["auto","square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"],"type":"string"}],"default":{"height":896,"width":1536},"title":"Resolution","description":"The final generated video size. The default keeps the workflow's first stage at the Ingredient LoRA's trained 768x448 bucket before the official 2x refinement stage."},"prompt":{"examples":["Reference sheet: a chef in a white jacket, a copper pan, fresh basil, and a bright studio kitchen. Generated video: the chef tosses pasta in the copper pan, steam rising, cinematic food commercial."],"title":"Prompt","description":"The prompt to guide the generated video. For best results, use a 'Reference sheet: ... Generated video: ...' structure.","type":"string"}},"title":"LTX23QualityIngredientInput","x-fal-order-properties":["prompt","image_url","num_frames","resolution","frames_per_second","guidance_scale","ingredient_strength","reference_strength","generate_audio","negative_prompt","seed","enable_prompt_expansion","enable_safety_checker","video_quality","video_write_mode","sync_mode"],"description":"Image-to-video generation conditioned on an Ingredient reference sheet.","type":"object","required":["prompt","image_url"]},"Ltx23QualityIngredientOutput":{"properties":{"video":{"description":"The generated video.","$ref":"#/components/schemas/File"},"seed":{"title":"Seed","description":"The seed actually used for generation.","type":"integer"},"prompt":{"title":"Prompt","description":"The prompt used for generation (after any expansion).","type":"string"}},"title":"LTX23QualityOutput","x-fal-order-properties":["video","seed","prompt"],"description":"Standard output for every endpoint on this app.","type":"object","required":["video","seed","prompt"]},"ImageSize":{"properties":{"height":{"default":512,"exclusiveMinimum":0,"title":"Height","description":"The height of the generated image.","maximum":14142,"type":"integer"},"width":{"default":512,"exclusiveMinimum":0,"title":"Width","description":"The width of the generated image.","maximum":14142,"type":"integer"}},"title":"ImageSize","x-fal-order-properties":["width","height"],"type":"object"},"File":{"properties":{"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"title":"File Size","description":"The size of the file in bytes."},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"title":"Content Type","description":"The mime type of the file."},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"}},"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object","required":["url"]}}},"paths":{"/fal-ai/ltx-2.3-quality/ingredient/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-quality/ingredient/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2.3-quality/ingredient":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23QualityIngredientInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-quality/ingredient/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23QualityIngredientOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/framepack/flf2v","metadata":{"display_name":"Framepack","category":"image-to-video","description":"Framepack is an efficient Image-to-video model that autoregressively generates videos.","status":"active","tags":["image to video","motion"],"updated_at":"2026-04-21T17:47:43.436Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Sound-5.jpg","model_url":"https://fal.run/fal-ai/framepack/flf2v","license_type":"commercial","date":"2025-04-22T20:06:23.895Z","group":{"key":"framepack","label":"First-to-Last-Frame"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/framepack/flf2v","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/framepack/flf2v queue.","x-fal-metadata":{"endpointId":"fal-ai/framepack/flf2v","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Sound-5.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/framepack/flf2v","documentationUrl":"https://fal.ai/models/fal-ai/framepack/flf2v/api","about":"Generate Video Flf2V Endpoint"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"FramepackFlf2vInput":{"x-fal-order-properties":["prompt","negative_prompt","image_url","seed","aspect_ratio","resolution","cfg_scale","guidance_scale","num_frames","enable_safety_checker","end_image_url","strength"],"title":"FramePackF2LFRequest","type":"object","properties":{"image_url":{"description":"URL of the image input.","examples":["https://storage.googleapis.com/falserverless/web-examples/wan_flf/first_frame.png"],"title":"Image Url","type":"string"},"num_frames":{"maximum":1800,"description":"The number of frames to generate.","title":"Number of Frames","type":"integer","default":240,"minimum":30},"cfg_scale":{"maximum":7,"description":"Classifier-Free Guidance scale for the generation.","title":"CFG Scale","type":"number","default":1,"minimum":0},"aspect_ratio":{"description":"The aspect ratio of the video to generate.","title":"Aspect Ratio (W:H)","type":"string","default":"16:9","enum":["16:9","9:16"]},"guidance_scale":{"maximum":32,"description":"Guidance scale for the generation.","title":"Guidance Scale","type":"number","default":10,"minimum":0},"enable_safety_checker":{"description":"If set to true, the safety checker will be enabled.","examples":[true],"title":"Enable Safety Checker","type":"boolean","default":false},"strength":{"maximum":1,"description":"Determines the influence of the final frame on the generated video. Higher values result in the output being more heavily influenced by the last frame.","title":"Strength of last frame","type":"number","default":0.8,"minimum":0},"seed":{"description":"The seed to use for generating the video.","anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed"},"negative_prompt":{"description":"Negative prompt for video generation.","examples":["Ugly, blurry distorted, bad quality"],"title":"Negative Prompt","type":"string","default":""},"resolution":{"description":"The resolution of the video to generate. 720p generations cost 1.5x more than 480p generations.","title":"Resolution","type":"string","default":"480p","enum":["720p","480p"]},"end_image_url":{"description":"URL of the end image input.","examples":["https://storage.googleapis.com/falserverless/web-examples/wan_flf/last_frame.png"],"title":"End Image Url","type":"string"},"prompt":{"description":"Text prompt for video generation (max 500 characters).","examples":["A tabby cat is confidely strolling toward the camera, when it spins and with a flash of magic reveals itself to be a cat-dragon hybrid with glistening amber scales."],"title":"Prompt","type":"string"}},"required":["prompt","image_url","end_image_url"]},"FramepackFlf2vOutput":{"x-fal-order-properties":["video","seed"],"title":"FramePackFLF2VResponse","type":"object","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/flf2v.mp4"}]},"seed":{"description":"The seed used for generating the video.","title":"Seed","type":"integer"}},"required":["video","seed"]},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","type":"object","properties":{"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}]},"file_size":{"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"},"content_type":{"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}]}},"required":["url"]}}},"paths":{"/fal-ai/framepack/flf2v/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/framepack/flf2v/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/framepack/flf2v":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FramepackFlf2vInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/framepack/flf2v/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FramepackFlf2vOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-2.3-22b/image-to-video/lora","metadata":{"display_name":"LTX-2.3 22B","category":"image-to-video","description":"Generate video with audio from images using LTX-2.3 and custom LoRA","status":"active","tags":[],"updated_at":"2026-10-20T22:10:56.043Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9289ce/XPxxPt7YTRFqdahRCUEa1__tmp_b057-chro-origami-cran.jpg","model_url":"https://fal.run/fal-ai/ltx-2.3-22b/image-to-video/lora","license_type":"commercial","date":"2026-03-14T02:19:28.358Z","group":{"key":"ltx-2.3-22b","label":"Image to Video with LoRA"},"highlighted":false,"kind":"inference","pinned":false,"training_endpoint_ids":["fal-ai/ltx23-video-trainer"]},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/ltx-2.3-22b/image-to-video/lora","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2.3-22b/image-to-video/lora queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2.3-22b/image-to-video/lora","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9289ce/XPxxPt7YTRFqdahRCUEa1__tmp_b057-chro-origami-cran.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2.3-22b/image-to-video/lora","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2.3-22b/image-to-video/lora/api","about":"Generate a video from an image and text prompt using LoRA."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx2322bImageToVideoLoraInput":{"required":["loras","prompt","image_url"],"properties":{"fps":{"title":"FPS","type":"number","description":"The frames per second of the generated video.","maximum":60,"minimum":1,"default":24},"seed":{"title":"Seed","description":"The seed for the random number generator.","anyOf":[{"type":"integer"},{"type":"null"}]},"end_image_strength":{"title":"End Image Strength","type":"number","description":"The strength of the end image to use for the video generation.","maximum":1,"minimum":0,"default":1},"use_multiscale":{"title":"Use Multi-Scale","type":"boolean","description":"Whether to use multi-scale generation. If True, the model will generate the video at a smaller scale first, then use the smaller video to guide the generation of a video at or above your requested size. This results in better coherence and details.","default":true},"distill_lora_first_pass_scale":{"title":"Distill Lora First Pass Scale","type":"number","description":"The scale of the distill LoRA to use for the first pass. Set to 0 to disable.","maximum":1,"minimum":0,"default":0.2},"interpolation_direction":{"title":"Interpolation Direction","enum":["forward","backward"],"type":"string","description":"The direction to interpolate the image sequence in. 'Forward' goes from the start image to the end image, 'Backward' goes from the end image to the start image.","default":"forward"},"negative_prompt":{"title":"Negative Prompt","type":"string","description":"The negative prompt to generate the video from.","default":"news broadcast, 3d animation, computer graphics, pc game, console game, video game, cartoon, childish, watermark, logo, text, on screen text, subtitles, titles, signature, slowmo, static"},"acceleration":{"title":"Acceleration","enum":["none","regular","high","full"],"type":"string","description":"The acceleration level to use.","examples":["regular"],"default":"regular"},"sync_mode":{"title":"Sync Mode","type":"boolean","description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","default":false},"num_inference_steps":{"title":"Number of Inference Steps","type":"integer","description":"The number of inference steps to use.","maximum":50,"minimum":8,"default":40},"video_modality_scale":{"title":"Video Modality Scale","type":"number","description":"The modality scale for the video. Controls the ratio between video and audio modalities.","maximum":10,"minimum":0,"default":3},"distill_lora_second_pass_scale":{"title":"Distill Lora Second Pass Scale","type":"number","description":"The scale of the distill LoRA to use for the second and subsequent passes.","maximum":1,"minimum":0,"default":0.5},"scheduler":{"title":"Scheduler","enum":["ltx2","linear_quadratic","beta"],"type":"string","description":"The scheduler to use.","examples":["ltx2"],"default":"ltx2"},"camera_lora":{"title":"Camera LoRA","enum":["dolly_in","dolly_out","dolly_left","dolly_right","jib_up","jib_down","static","none"],"type":"string","description":"The camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera.","examples":["none"],"default":"none"},"video_write_mode":{"title":"Video Write Mode","enum":["fast","balanced","small"],"type":"string","description":"The write mode of the generated video.","default":"balanced"},"video_output_type":{"title":"Video Output Type","enum":["X264 (.mp4)","VP9 (.webm)","PRORES4444 (.mov)","GIF (.gif)"],"type":"string","description":"The output type of the generated video.","default":"X264 (.mp4)"},"end_image_url":{"title":"End Image URL","description":"The URL of the image to use as the end of the video.","anyOf":[{"type":"string"},{"type":"null"}]},"enable_prompt_expansion":{"title":"Enable Prompt Expansion","type":"boolean","description":"Whether to enable prompt expansion.","default":true},"loras":{"title":"LoRAs","type":"array","description":"The LoRAs to use for the generation.","items":{"$ref":"#/components/schemas/LoRAInput"}},"num_frames":{"title":"Number of Frames","type":"integer","description":"The number of frames to generate.","maximum":481,"minimum":9,"default":121},"prompt":{"title":"Prompt","type":"string","description":"The prompt used for the generation.","examples":["A woman stands still amid a busy neon-lit street at night. The camera slowly dollies in toward her face as people blur past, their motion emphasizing her calm presence. City lights flicker and reflections shift across her denim jacket."]},"audio_stg_scale":{"title":"Audio STG Scale","type":"number","description":"The Spatiotemporal Guidance (STG) scale for the audio. Higher values result in more consistent and focused audio content.","maximum":20,"minimum":0,"default":0},"audio_modality_scale":{"title":"Audio Modality Scale","type":"number","description":"The modality scale for the audio. Controls the ratio between video and audio modalities.","maximum":10,"minimum":0,"default":3},"audio_cfg_scale":{"title":"Audio CFG Scale","type":"number","description":"The Classifier-Free Guidance (CFG) scale for the audio. Higher values result in more consistent and focused audio content.","maximum":20,"minimum":1,"default":7},"image_url":{"title":"Image URL","type":"string","description":"The URL of the image to generate the video from.","examples":["https://storage.googleapis.com/falserverless/example_inputs/ltxv-2-i2v-input.jpg"]},"video_cfg_scale":{"title":"Video CFG Scale","type":"number","description":"The Classifier-Free Guidance (CFG) scale for the video. Higher values result in more consistent and focused video content.","maximum":20,"minimum":1,"default":3},"audio_rescaling_scale":{"title":"Audio Rescaling Scale","type":"number","description":"The rescaling scale for the audio. Controls the ratio between classifier-free guidance and spatiotemporal guidance.","maximum":1,"minimum":0,"default":0.7},"video_size":{"anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"enum":["auto","square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"],"type":"string"}],"title":"Video Size","description":"The size of the generated video.","default":"auto"},"video_rescaling_scale":{"title":"Video Rescaling Scale","type":"number","description":"The rescaling scale for the video. Controls the ratio between classifier-free guidance and spatiotemporal guidance.","maximum":1,"minimum":0,"default":0.7},"video_stg_scale":{"title":"Video STG Scale","type":"number","description":"The Spatiotemporal Guidance (STG) scale for the video. Higher values result in more consistent and focused video content.","maximum":20,"minimum":0,"default":0},"use_restart_sampling":{"title":"Use Restart Sampling","type":"boolean","description":"Whether to use restart sampling. This will inject a small amount of noise during each denoising step, which can help improve the quality of the generated video.","default":false},"enable_safety_checker":{"title":"Enable Safety Checker","type":"boolean","description":"Whether to enable the safety checker.","default":true},"gradient_estimation_gamma":{"title":"Gradient Estimation Gamma","type":"number","description":"The gamma of gradient estimation during denoising. Set to 0 to disable.","maximum":10,"minimum":0,"default":2},"video_quality":{"title":"Video Quality","enum":["low","medium","high","maximum"],"type":"string","description":"The quality of the generated video.","default":"high"},"image_strength":{"title":"Image Strength","type":"number","description":"The strength of the image to use for the video generation.","maximum":1,"minimum":0,"default":1},"camera_lora_scale":{"title":"Camera LoRA Scale","type":"number","description":"The scale of the camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera.","maximum":1,"minimum":0,"default":1},"generate_audio":{"title":"Generate Audio","type":"boolean","description":"Whether to generate audio for the video.","default":true}},"title":"LTX23LoRAImageToVideoInput","type":"object","x-fal-order-properties":["prompt","image_url","end_image_url","num_frames","video_size","generate_audio","use_multiscale","fps","num_inference_steps","video_cfg_scale","video_stg_scale","video_rescaling_scale","video_modality_scale","audio_cfg_scale","audio_stg_scale","audio_rescaling_scale","audio_modality_scale","gradient_estimation_gamma","use_restart_sampling","scheduler","acceleration","camera_lora","camera_lora_scale","negative_prompt","seed","enable_prompt_expansion","enable_safety_checker","video_output_type","video_quality","video_write_mode","sync_mode","loras","distill_lora_first_pass_scale","distill_lora_second_pass_scale","interpolation_direction","image_strength","end_image_strength"]},"Ltx2322bImageToVideoLoraOutput":{"required":["video","seed","prompt"],"properties":{"video":{"$ref":"#/components/schemas/VideoFile","description":"The generated video.","examples":[{"fps":25,"duration":10.28,"width":1248,"url":"https://v3b.fal.media/files/b/0a88289e/CJcQGDrxOSRg2YFl5GNDt_glXPMoji.mp4","content_type":"video/mp4","file_name":"CJcQGDrxOSRg2YFl5GNDt_glXPMoji.mp4","num_frames":257,"height":704}]},"seed":{"title":"Seed","type":"integer","description":"The seed used for the random number generator.","examples":[866232447]},"prompt":{"title":"Prompt","type":"string","description":"The prompt used for the generation.","examples":["Continue the scene naturally, maintaining the same style and motion."]}},"title":"LTX23ImageToVideoOutput","type":"object","x-fal-order-properties":["video","seed","prompt"]},"LoRAInput":{"required":["path"],"properties":{"scale":{"title":"Scale","type":"number","description":"Scale factor for LoRA application (0.0 to 4.0).","maximum":4,"minimum":0,"default":1},"path":{"title":"Path","type":"string","description":"URL, HuggingFace repo ID (owner/repo) to lora weights."},"weight_name":{"title":"Weight Name","description":"Name of the LoRA weight. Only used if `path` is a HuggingFace repository, and is only required when the repository contains multiple LoRA weights.","anyOf":[{"type":"string"},{"type":"null"}]}},"title":"LoRAInput","type":"object","description":"LoRA weight configuration.","x-fal-order-properties":["path","weight_name","scale"]},"ImageSize":{"properties":{"width":{"title":"Width","exclusiveMinimum":0,"description":"The width of the generated image.","maximum":14142,"type":"integer","default":512},"height":{"title":"Height","exclusiveMinimum":0,"description":"The height of the generated image.","maximum":14142,"type":"integer","default":512}},"title":"ImageSize","type":"object","x-fal-order-properties":["width","height"]},"VideoFile":{"required":["url"],"properties":{"fps":{"title":"Fps","description":"The FPS of the video","anyOf":[{"type":"number"},{"type":"null"}]},"duration":{"title":"Duration","description":"The duration of the video","anyOf":[{"type":"number"},{"type":"null"}]},"width":{"title":"Width","description":"The width of the video","anyOf":[{"type":"integer"},{"type":"null"}]},"file_size":{"title":"File Size","description":"The size of the file in bytes.","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"content_type":{"title":"Content Type","description":"The mime type of the file.","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"file_name":{"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"num_frames":{"title":"Num Frames","description":"The number of frames in the video","anyOf":[{"type":"integer"},{"type":"null"}]},"height":{"title":"Height","description":"The height of the video","anyOf":[{"type":"integer"},{"type":"null"}]}},"title":"VideoFile","type":"object","x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"]}}},"paths":{"/fal-ai/ltx-2.3-22b/image-to-video/lora/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-22b/image-to-video/lora/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2.3-22b/image-to-video/lora":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx2322bImageToVideoLoraInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-22b/image-to-video/lora/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx2322bImageToVideoLoraOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-2.3-quality/image-to-video/lora","metadata":{"display_name":"Ltx 2.3 Quality","category":"image-to-video","description":"Generate high-quality video with audio from images using LTX-2.3 and custom LoRA","status":"active","tags":["image-to-video"],"updated_at":"2026-10-20T22:51:58.930Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9c981b/fVP1qFZOIhu1Ax7KwLjxm_SoTIpz7e.png","model_url":"https://fal.run/fal-ai/ltx-2.3-quality/image-to-video/lora","license_type":"commercial","date":"2026-06-01T20:59:12.797Z","group":{"key":"ltx-2.3-quality","label":"Image to Video with LoRA"},"highlighted":false,"kind":"inference","pinned":false,"training_endpoint_ids":["fal-ai/ltx23-trainer-v2/i2v","fal-ai/ltx23-video-trainer"]},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/ltx-2.3-quality/image-to-video/lora","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2.3-quality/image-to-video/lora queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2.3-quality/image-to-video/lora","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9c981b/fVP1qFZOIhu1Ax7KwLjxm_SoTIpz7e.png","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2.3-quality/image-to-video/lora","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2.3-quality/image-to-video/lora/api","about":"Image-to-video with up to 3 user-supplied LoRAs."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx23QualityImageToVideoLoraInput":{"properties":{"num_inference_steps":{"default":15,"minimum":8,"title":"Number of Inference Steps","description":"Number of inference steps. Defaults to 15 and can be increased up to 30.","maximum":30,"type":"integer"},"enable_safety_checker":{"default":true,"title":"Enable Safety Checker","description":"Whether to enable the safety checker.","type":"boolean"},"enable_prompt_expansion":{"default":true,"title":"Enable Prompt Expansion","description":"Whether to enable prompt expansion.","type":"boolean"},"frames_per_second":{"default":24,"minimum":1,"title":"FPS","description":"Frames per second of the generated video.","maximum":60,"type":"number"},"sync_mode":{"default":false,"title":"Sync Mode","description":"If True, the media is returned as a data URI inline in the response. Useful for short-lived requests and tests.","type":"boolean"},"video_write_mode":{"default":"balanced","title":"Video Write Mode","enum":["fast","balanced","small"],"description":"The write mode of the generated video.","type":"string"},"num_frames":{"default":121,"minimum":9,"title":"Number of Frames","description":"The number of frames to generate.","maximum":481,"type":"integer"},"guidance_scale":{"default":1,"minimum":1,"title":"Guidance Scale","description":"Classifier-free guidance scale. The default is tuned for fast, high-quality generation.","maximum":20,"type":"number"},"image_strength":{"default":0.7,"minimum":0,"title":"Image Strength","description":"Conditioning strength on the start image. 1.0 = exact first-frame match, lower = more freedom for the model.","maximum":1,"type":"number"},"generate_audio":{"default":true,"title":"Generate Audio","description":"Whether to include audio in the returned video. When disabled, the final MP4 is returned without an audio track.","type":"boolean"},"loras":{"maxItems":3,"items":{"$ref":"#/components/schemas/LoRAInput"},"title":"LoRAs","description":"Up to 3 LoRAs to apply on top of LTX-2.3. Each path is downloaded through the registry SSRF-safe downloader before it is loaded. Max size: 3 GB per LoRA.","type":"array"},"image_url":{"examples":["https://storage.googleapis.com/falserverless/example_inputs/ltxv-2-i2v-input.jpg"],"title":"Image URL","description":"The URL of the starting image.","type":"string"},"negative_prompt":{"default":"color distortion, overexposure, static, blurry details, subtitles, style, artwork, painting, frame, still, dim overall tone, worst quality, low quality, JPEG compression artifacts, ugly, mutilated, extra fingers, poorly drawn hands, poorly drawn face, deformed, disfigured, malformed limbs, fused fingers, motionless frame, cluttered background, three legs, crowded background, walking backwards","title":"Negative Prompt","description":"The negative prompt to steer generation away from.","type":"string"},"video_quality":{"default":"high","title":"Video Quality","enum":["low","medium","high","maximum"],"description":"The quality preset of the generated video.","type":"string"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"Random seed for reproducibility. If None, a random seed is chosen."},"resolution":{"anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"enum":["auto","square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"],"type":"string"}],"default":"auto","title":"Resolution","description":"The size of the generated video. 'auto' derives the size from the input image aspect ratio."},"prompt":{"examples":["A woman stands still amid a busy neon-lit street at night. The camera slowly dollies in toward her face as people blur past, their motion emphasizing her calm presence."],"title":"Prompt","description":"The prompt to guide the video generation.","type":"string"}},"title":"LTX23QualityLoRAImageToVideoInput","x-fal-order-properties":["prompt","image_url","num_frames","resolution","frames_per_second","num_inference_steps","guidance_scale","generate_audio","image_strength","negative_prompt","seed","enable_prompt_expansion","enable_safety_checker","video_quality","video_write_mode","sync_mode","loras"],"description":"Image-to-video + user-supplied LoRAs.","type":"object","required":["loras","prompt","image_url"]},"Ltx23QualityImageToVideoLoraOutput":{"properties":{"video":{"description":"The generated video.","$ref":"#/components/schemas/File"},"seed":{"title":"Seed","description":"The seed actually used for generation.","type":"integer"},"prompt":{"title":"Prompt","description":"The prompt used for generation (after any expansion).","type":"string"}},"title":"LTX23QualityOutput","x-fal-order-properties":["video","seed","prompt"],"description":"Standard output for every endpoint on this app.","type":"object","required":["video","seed","prompt"]},"LoRAInput":{"properties":{"path":{"examples":["https://example.com/path/to/lora.safetensors"],"title":"Path","description":"Direct HTTP(S) download URL of the LoRA file (.safetensors). The file is downloaded through an SSRF-safe downloader before it is loaded. Max size: 3 GB.","type":"string","maxLength":2048},"scale":{"default":1,"minimum":0,"title":"Scale","description":"Strength of the LoRA application (0.0 to 2.0). Higher values = stronger effect on the generated video.","maximum":2,"type":"number"},"transformer":{"default":"both","title":"Transformer","enum":["high","low","both"],"description":"Forward-compatibility flag for multi-transformer architectures. LTX-2.3 has a single transformer, so 'both' is the right choice for almost all users.","type":"string"}},"title":"LoRAInput","x-fal-order-properties":["path","scale","transformer"],"description":"A single LoRA to apply on top of the LTX-2.3 base model.\n\nLoaded at request time through the registry SSRF-safe downloader.","type":"object","required":["path"]},"ImageSize":{"properties":{"height":{"default":512,"exclusiveMinimum":0,"title":"Height","description":"The height of the generated image.","maximum":14142,"type":"integer"},"width":{"default":512,"exclusiveMinimum":0,"title":"Width","description":"The width of the generated image.","maximum":14142,"type":"integer"}},"title":"ImageSize","x-fal-order-properties":["width","height"],"type":"object"},"File":{"properties":{"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"title":"File Size","description":"The size of the file in bytes."},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"title":"Content Type","description":"The mime type of the file."},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"}},"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object","required":["url"]}}},"paths":{"/fal-ai/ltx-2.3-quality/image-to-video/lora/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-quality/image-to-video/lora/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2.3-quality/image-to-video/lora":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23QualityImageToVideoLoraInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-quality/image-to-video/lora/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23QualityImageToVideoLoraOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v3.5/image-to-video","metadata":{"display_name":"PixVerse V3.5 Image To Video","category":"image-to-video","description":"Generate high quality video clips from text and image prompts using PixVerse v3.5","status":"active","tags":[],"updated_at":"2026-10-20T22:12:24.870Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v3.5/image-to-video","license_type":"commercial","date":"2025-01-29T00:00:00.000Z","group":{"key":"pixverse","label":"Image to Video"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v3.5/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v3.5/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v3.5/image-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v3.5/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v3.5/image-to-video/api","about":"Image To Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV35ImageToVideoInput":{"type":"object","x-fal-order-properties":["prompt","resolution","duration","negative_prompt","style","seed","image_url","enable_safety_checker"],"title":"ImageToVideoRequest","required":["prompt","image_url"],"properties":{"prompt":{"examples":["A stylish woman walks down a Tokyo street filled with warm glowing neon and animated city signage."],"type":"string","description":"Text prompt for the video generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt"},"style":{"anyOf":[{"type":"string","enum":["anime","3d_animation","clay","comic","cyberpunk"]},{"type":"null"}],"description":"The style of the generated video","title":"Style"},"negative_prompt":{"examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"],"type":"string","default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt"},"duration":{"type":"string","default":"5","description":"The duration of the generated video in seconds. 8s videos cost double. 1080p videos are limited to 5 seconds","enum":["5","8"],"title":"Duration"},"enable_safety_checker":{"type":"boolean","default":true,"description":"Authorized callers may set false to request relaxed screening.","title":"Enable Safety Checker"},"image_url":{"examples":["https://storage.googleapis.com/falserverless/model_tests/wan/dragon-warrior.jpg"],"type":"string","description":"URL of the image to use as the first frame","title":"Image Url"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        ","title":"Seed"},"resolution":{"type":"string","default":"720p","description":"The resolution of the generated video","enum":["360p","540p","720p","1080p"],"title":"Resolution"}}},"PixverseV35ImageToVideoOutput":{"type":"object","x-fal-order-properties":["video"],"title":"I2VOutput","required":["video"],"properties":{"video":{"examples":[{"file_name":"output.mp4","file_size":4060052,"url":"https://fal.media/files/tiger/8V9H8RLyFiWjmJDOxGbcG_output.mp4","content_type":"video/mp4"}],"description":"The generated video","$ref":"#/components/schemas/File"}}},"File":{"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"],"properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type"}}}}},"paths":{"/fal-ai/pixverse/v3.5/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v3.5/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v3.5/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV35ImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v3.5/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV35ImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v4.5/image-to-video/fast","metadata":{"display_name":"PixVerse V4.5 Image To Video Fast","category":"image-to-video","description":"Generate fast high quality video clips from text and image prompts using PixVerse v4.5","status":"active","tags":["stylized","transform"],"updated_at":"2026-10-20T21:55:57.463Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v4.5/image-to-video/fast","license_type":"commercial","date":"2025-05-15T15:55:20.848Z","group":{"key":"pixverse-45","label":"Image to Video v4.5 (Fast)"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v4.5/image-to-video/fast","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v4.5/image-to-video/fast queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v4.5/image-to-video/fast","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v4.5/image-to-video/fast","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v4.5/image-to-video/fast/api","about":"Image To Video Fast V4 5"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV45ImageToVideoFastInput":{"type":"object","x-fal-order-properties":["prompt","resolution","negative_prompt","style","seed","image_url","camera_movement","enable_safety_checker"],"title":"FastImageToVideoRequestV4","required":["prompt","image_url"],"properties":{"prompt":{"examples":["A woman warrior with her hammer walking with his glacier wolf."],"type":"string","description":"Text prompt for the video generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt"},"style":{"anyOf":[{"type":"string","enum":["anime","3d_animation","clay","comic","cyberpunk"]},{"type":"null"}],"description":"The style of the generated video","title":"Style"},"camera_movement":{"anyOf":[{"type":"string","enum":["horizontal_left","horizontal_right","vertical_up","vertical_down","zoom_in","zoom_out","crane_up","quickly_zoom_in","quickly_zoom_out","smooth_zoom_in","camera_rotation","robo_arm","super_dolly_out","whip_pan","hitchcock","left_follow","right_follow","pan_left","pan_right","fix_bg"]},{"type":"null"}],"description":"The type of camera movement to apply to the video","title":"Camera Movement"},"negative_prompt":{"examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"],"type":"string","default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt"},"enable_safety_checker":{"type":"boolean","default":true,"description":"Authorized callers may set false to request relaxed screening.","title":"Enable Safety Checker"},"image_url":{"examples":["https://v3.fal.media/files/zebra/qL93Je8ezvzQgDOEzTjKF_KhGKZTEebZcDw6T5rwQPK_output.png"],"type":"string","description":"URL of the image to use as the first frame","title":"Image Url"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        ","title":"Seed"},"resolution":{"type":"string","default":"720p","description":"The resolution of the generated video","enum":["360p","540p","720p"],"title":"Resolution"}}},"PixverseV45ImageToVideoFastOutput":{"type":"object","x-fal-order-properties":["video"],"title":"I2VOutputV4","required":["video"],"properties":{"video":{"examples":[{"file_name":"output.mp4","file_size":6420765,"url":"https://fal.media/files/koala/HEWK7BBwqWrz7F5nAZzp7_output.mp4","content_type":"video/mp4"}],"description":"The generated video","$ref":"#/components/schemas/File"}}},"File":{"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"],"properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type"}}}}},"paths":{"/fal-ai/pixverse/v4.5/image-to-video/fast/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4.5/image-to-video/fast/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v4.5/image-to-video/fast":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV45ImageToVideoFastInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4.5/image-to-video/fast/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV45ImageToVideoFastOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/minimax/video-01-director/image-to-video","metadata":{"display_name":"MiniMax (Hailuo AI) Video 01 Director - Image to Video","category":"image-to-video","description":"Generate video clips more accurately with respect to initial image, natural language descriptions, and using camera movement instructions for shot control.","status":"active","tags":["motion","transformation","camera-controls"],"updated_at":"2026-04-21T17:52:14.662Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/red_clouds.jpg","model_url":"https://fal.run/fal-ai/minimax/video-01-director/image-to-video","date":"2025-02-24T00:00:00.000Z","group":{"key":"minimax-video","label":"I2V-01 Director (Camera Control)"},"highlighted":false,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/minimax/video-01-director/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/minimax/video-01-director/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/minimax/video-01-director/image-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/red_clouds.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/minimax/video-01-director/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/minimax/video-01-director/image-to-video/api","about":"Hailuo I2V-01-Director API: Image-to-video generation with precise camera control for cinematic storytelling"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"MinimaxVideo01DirectorImageToVideoInput":{"properties":{"prompt":{"maxLength":2000,"description":"Text prompt for video generation. Camera movement instructions can be added using square brackets (e.g. [Pan left] or [Zoom in]). You can use up to 3 combined movements per prompt. Supported movements: Truck left/right, Pan left/right, Push in/Pull out, Pedestal up/down, Tilt up/down, Zoom in/out, Shake, Tracking shot, Static shot. For example: [Truck left, Pan right, Zoom in]. For a more detailed guide, refer https://sixth-switch-2ac.notion.site/T2V-01-Director-Model-Tutorial-with-camera-movement-1886c20a98eb80f395b8e05291ad8645","title":"Prompt","type":"string","examples":["[Push in, Follow]A stylish woman walks down a Tokyo street filled with warm glowing neon and animated city signage. She wears a black leather jacket, a long red dress, and black boots, and carries a black purse.[Pan left] The street opens into a small plaza where street vendors sell steaming food under colorful awnings."]},"image_url":{"description":"URL of the image to use as the first frame","examples":["https://storage.googleapis.com/falserverless/model_tests/wan/dragon-warrior.jpg"],"title":"Image Url","type":"string"},"enable_safety_checker":{"description":"Authorized callers may set false to request relaxed screening.","title":"Enable Safety Checker","type":"boolean","default":true},"prompt_optimizer":{"description":"Whether to use the model's prompt optimizer","title":"Prompt Optimizer","type":"boolean","default":true}},"required":["prompt","image_url"],"title":"ImageToVideoDirectorRequest","x-fal-order-properties":["enable_safety_checker","prompt","image_url","prompt_optimizer"],"type":"object"},"MinimaxVideo01DirectorImageToVideoOutput":{"properties":{"video":{"description":"The generated video","examples":[{"url":"https://storage.googleapis.com/falserverless/web-examples/minimax/i2v-01.mp4"}],"$ref":"#/components/schemas/File"}},"required":["video"],"title":"I2VDirectorOutput","x-fal-order-properties":["video"],"type":"object"},"File":{"properties":{"file_size":{"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}]},"content_type":{"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"}},"required":["url"],"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object"}}},"paths":{"/fal-ai/minimax/video-01-director/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/minimax/video-01-director/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/minimax/video-01-director/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MinimaxVideo01DirectorImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/minimax/video-01-director/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MinimaxVideo01DirectorImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v4/image-to-video/fast","metadata":{"display_name":"PixVerse V4 Image To Video Fast","category":"image-to-video","description":"Generate fast high quality video clips from text and image prompts using PixVerse v4","status":"active","tags":[],"updated_at":"2026-10-20T21:56:32.604Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v4/image-to-video/fast","license_type":"commercial","date":"2025-04-01T02:56:53.842Z","group":{"key":"pixverse","label":"Image to Video v4 (Fast)"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v4/image-to-video/fast","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v4/image-to-video/fast queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v4/image-to-video/fast","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v4/image-to-video/fast","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v4/image-to-video/fast/api","about":"Image To Video Fast V4"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV4ImageToVideoFastInput":{"type":"object","x-fal-order-properties":["prompt","resolution","negative_prompt","style","seed","image_url","camera_movement","enable_safety_checker"],"title":"FastImageToVideoRequestV4","required":["prompt","image_url"],"properties":{"prompt":{"examples":["A woman warrior with her hammer walking with his glacier wolf."],"type":"string","description":"Text prompt for the video generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt"},"style":{"anyOf":[{"type":"string","enum":["anime","3d_animation","clay","comic","cyberpunk"]},{"type":"null"}],"description":"The style of the generated video","title":"Style"},"camera_movement":{"anyOf":[{"type":"string","enum":["horizontal_left","horizontal_right","vertical_up","vertical_down","zoom_in","zoom_out","crane_up","quickly_zoom_in","quickly_zoom_out","smooth_zoom_in","camera_rotation","robo_arm","super_dolly_out","whip_pan","hitchcock","left_follow","right_follow","pan_left","pan_right","fix_bg"]},{"type":"null"}],"description":"The type of camera movement to apply to the video","title":"Camera Movement"},"negative_prompt":{"examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"],"type":"string","default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt"},"enable_safety_checker":{"type":"boolean","default":true,"description":"Authorized callers may set false to request relaxed screening.","title":"Enable Safety Checker"},"image_url":{"examples":["https://v3.fal.media/files/zebra/qL93Je8ezvzQgDOEzTjKF_KhGKZTEebZcDw6T5rwQPK_output.png"],"type":"string","description":"URL of the image to use as the first frame","title":"Image Url"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        ","title":"Seed"},"resolution":{"type":"string","default":"720p","description":"The resolution of the generated video","enum":["360p","540p","720p"],"title":"Resolution"}}},"PixverseV4ImageToVideoFastOutput":{"type":"object","x-fal-order-properties":["video"],"title":"I2VOutputV4","required":["video"],"properties":{"video":{"examples":[{"file_name":"output.mp4","file_size":6420765,"url":"https://fal.media/files/koala/HEWK7BBwqWrz7F5nAZzp7_output.mp4","content_type":"video/mp4"}],"description":"The generated video","$ref":"#/components/schemas/File"}}},"File":{"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"],"properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type"}}}}},"paths":{"/fal-ai/pixverse/v4/image-to-video/fast/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4/image-to-video/fast/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v4/image-to-video/fast":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV4ImageToVideoFastInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4/image-to-video/fast/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV4ImageToVideoFastOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v5.6/transition","metadata":{"display_name":"PixVerse V5.6 Transition","category":"image-to-video","description":"Use the latest pixverse v5.6 model to turn your texts and images into amazing videos.","status":"active","tags":["image-to-video"],"updated_at":"2026-10-20T22:36:02.567Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a8bf6c6/5g6zE3Sjy-aR-GBc8DhWT_603ad74d67aa47b68cab750e1cf9b5a6.jpg","model_url":"https://fal.run/fal-ai/pixverse/v5.6/transition","license_type":"commercial","date":"2026-01-26T17:28:03.386Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v5.6/transition","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v5.6/transition queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v5.6/transition","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a8bf6c6/5g6zE3Sjy-aR-GBc8DhWT_603ad74d67aa47b68cab750e1cf9b5a6.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v5.6/transition","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v5.6/transition/api","about":"Create Transition V5 6"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV56TransitionInput":{"type":"object","x-fal-order-properties":["prompt","aspect_ratio","resolution","duration","negative_prompt","style","seed","generate_audio_switch","thinking_type","first_image_url","end_image_url","enable_safety_checker"],"title":"TransitionRequestV5_6","required":["prompt","first_image_url","end_image_url"],"properties":{"prompt":{"examples":["Scene slowly transition into cat swimming under water"],"type":"string","description":"The prompt for the transition. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt"},"end_image_url":{"examples":["https://v3.fal.media/files/kangaroo/RgedFs_WSnq5BgER7qDx1_ONrbTJ1YAGXz-9JnSsBoB_bdc8750387734bfe940319f469f7b0b2.jpg"],"type":"string","description":"URL of the image to use as the last frame","title":"End Image Url"},"first_image_url":{"examples":["https://v3.fal.media/files/zebra/owQh2DAzk8UU7J02nr5RY_Co2P4boLv6meIZ5t9gKvL_8685da151df343ab8bf82165c928e2a5.jpg"],"type":"string","description":"URL of the image to use as the first frame","title":"First Image Url"},"style":{"anyOf":[{"type":"string","enum":["anime","3d_animation","clay","comic","cyberpunk"]},{"type":"null"}],"description":"The style of the generated video","title":"Style"},"negative_prompt":{"examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"],"type":"string","default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt"},"duration":{"type":"string","default":"5","description":"The duration of the generated video in seconds. 1080p videos are limited to 5 or 8 seconds","enum":["5","8","10"],"title":"Duration"},"enable_safety_checker":{"type":"boolean","default":true,"description":"Authorized callers may set false to request relaxed screening.","title":"Enable Safety Checker"},"generate_audio_switch":{"type":"boolean","default":false,"description":"Enable audio generation (BGM, SFX, dialogue)","title":"Generate Audio Switch"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        ","title":"Seed"},"resolution":{"type":"string","default":"720p","description":"The resolution of the generated video","enum":["360p","540p","720p","1080p"],"title":"Resolution"},"thinking_type":{"anyOf":[{"type":"string","enum":["enabled","disabled","auto"]},{"type":"null"}],"description":"Prompt optimization mode: 'enabled' to optimize, 'disabled' to turn off, 'auto' for model decision","title":"Thinking Type"},"aspect_ratio":{"type":"string","default":"16:9","description":"The aspect ratio of the generated video","enum":["16:9","4:3","1:1","3:4","9:16"],"title":"Aspect Ratio"}}},"PixverseV56TransitionOutput":{"type":"object","x-fal-order-properties":["video"],"title":"TransitionOutputV5_5","required":["video"],"properties":{"video":{"examples":[{"file_name":"output.mp4","file_size":3890360,"url":"https://storage.googleapis.com/falserverless/model_tests/video_models/output-2.mp4","content_type":"video/mp4"}],"description":"The generated video","$ref":"#/components/schemas/File"}}},"File":{"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"],"properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type"}}}}},"paths":{"/fal-ai/pixverse/v5.6/transition/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v5.6/transition/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v5.6/transition":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV56TransitionInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v5.6/transition/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV56TransitionOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"MTg","has_more":true}
